#ifndef WORKSPACEOPTIMIZATION_H
#define WORKSPACEOPTIMIZATION_H

#include <OpenSim/OpenSim.h>

class WorkspaceOptimization {

private:
	int _maxIter;
	int _lambda;
	bool _randomInitial;
	std::vector<double> _initial_coords;
	void optimize(int NBR_TOPT, std::string model_file, std::string matrix_file);
public:
	WorkspaceOptimization(int _maxIter, int _lambda, int NBR_TOPT, std::string model_file, std::string matrix_file);
	WorkspaceOptimization(int _maxIter, int _lambda, int NBR_TOPT, std::string model_file, std::string matrix_file, std::vector<double> initial_coords);		
};

#endif

